Bug 555007

Summary: Option to remember Bugzilla password doesn't work
Product: [Fedora] Fedora Reporter: Tore Anderson <tore>
Component: setroubleshootAssignee: Daniel Walsh <dwalsh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dwalsh, jdennis, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.2.60-1.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-01-29 03:32:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tore Anderson 2010-01-13 11:59:19 UTC
Description of problem:

When reporting a SELinux denial to Bugzilla using the SEtroubleshoot GUI, there's a tick box saying «save password in keyring» or something like that right beneath the login credential input fields.  I tick it, but the next time I want to report something I have to input the username and password again.  It simply does not remember my username and password

Version-Release number of selected component (if applicable):

setroubleshoot-2.2.52-1.fc12.x86_64

How reproducible:

100%

Steps to Reproduce:
See above.
  
Actual results:
See above.


Expected results:
See above.


Additional info:

Comment 1 Daniel Walsh 2010-01-19 19:12:19 UTC
Is setroubleshoot crashing when you try to report a bug?  This is a known bug in python-bugzilla.

What does your ~/.setroubleshoot file look like?

Comment 2 Tore Anderson 2010-01-20 06:18:59 UTC
It has indeed started crashing recently (bug #553878 right?), but it didn't remember my Bugzilla login credentials before either so I doubt those are related.

$ cat ~/.setroubleshoot 
dontnotify=
pos=a8ec4afe-5a57-42a8-b506-b3f6bc0c26bb
last=a8ec4afe-5a57-42a8-b506-b3f6bc0c26bb

(no newline at the end of the last line)

Tore

Comment 3 Daniel Walsh 2010-01-20 19:52:58 UTC
Ok I found it fixed in setroubleshoot-2.2.58-1.fc12

Comment 4 Fedora Update System 2010-01-21 00:03:45 UTC
setroubleshoot-2.2.58-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0815

Comment 5 Fedora Update System 2010-01-29 03:31:17 UTC
setroubleshoot-2.2.60-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.